A generalized http response error.

### Hierarchy

- Error
  - HttpError

## Index

### Constructors

- constructor

### Properties

- message
- name
- stack
- status
- prepareStackTrace
- stackTraceLimit

### Methods

- captureStackTrace

## Constructors

### constructor

- new HttpError(message: string, status: number): HttpError

- Overrides Error.constructor

  - Defined in src/app/_helpers/global-error-handler.ts:16

  Initialize the HttpError class.

  #### Parameters

  - ##### message: string

    The message given by the error.

  - ##### status: number

    The status code given by the error.

  #### Returns HttpError

## Properties

### message

message: string

Inherited from Error.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:974

### name

name: string

Inherited from Error.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### Optional stack

stack: string

Inherited from Error.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### status

status: number

- Defined in src/app/_helpers/global-error-handler.ts:16

The error's status code.

### Static Optional prepareStackTrace

prepareStackTrace: (err: Error, stackTraces: CallSite[]) => any

Inherited from Error.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:140

Optional override for formatting stack traces

see

  https://github.com/v8/v8/wiki/Stack%20Trace%20API#customizing-stack-traces

#### Type declaration

- - (err: Error, stackTraces: CallSite[]): any

  - #### Parameters

    - ##### err: Error

    - ##### stackTraces: CallSite[]

    #### Returns any

### Static stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:142

## Methods

### Static captureStackTrace

- captureStackTrace(targetObject: Object, constructorOpt?: Function): void

- Inherited from Error.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:133

  Create .stack property on a target object

  #### Parameters

  - ##### targetObject: Object

  - ##### Optional constructorOpt: Function

  #### Returns void

Generated using TypeDoc